%define major		2
%define libname		%mklibname rapi %major
%define develname	%mklibname -d rapi
%define svn	0

Name:		librapi
Summary:	SynCE: Remote Application Programming Interface (RAPI) library
Version:	0.15.2
Release:	%mkrel 2
License:	MIT
Group:		System/Libraries
Source0:	http://downloads.sourceforge.net/project/synce/SynCE/%{version}/%{name}%{major}-%{version}.tar.xz
URL:		http://synce.sourceforge.net/
BuildRequires:	libsynce-devel >= 0.15
BuildRequires:	python-devel
BuildRequires:	python-pyrex
Conflicts:	synce < 0.9.3
Obsoletes:	synce-librapi < 0.13

%description
Librapi is part of the SynCE project.
The RAPI library is an open source implementation that works like
RAPI.DLL, available on Microsoft operating systems. The library makes
it possible to make remote calls to a computer running Pocket PC.
Documentation for the RAPI calls is available at this address:

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wcesdkr/htm/_wcesdk_CeRapiInit.asp

%package -n	%{libname}
Group:		System/Libraries
Summary:	SynCE: Remote Application Programming Interface (RAPI) library

%description -n %{libname}
Librapi is part of the SynCE project. This package contains shared
libraries.

%package -n	%{name}-python
Group:		System/Libraries
Summary:	SynCE: Remote Application Programming Interface (RAPI) library
Requires:	%{libname} = %{version}-%{release}
Requires:	python
Obsoletes:	%{mklibname rapi 2}-python <= 0.13

%description -n %{name}-python
Librapi is part of the SynCE project. This package contains Python
bindings.

%package -n	%{develname}
Group:		Development/Libraries
Summary:	SynCE: Remote Application Programming Interface (RAPI) library
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}synce0-devel < 0.9.3
Obsoletes:	%mklibname -d rapi 2 <= 0.13

%description -n %{develname}
Librapi is part of the SynCE project. This package contains development
headers.

%prep
%setup -q -n %{name}%{major}-%{version}

%build
%configure2_5x --disable-static --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm -f
find %{buildroot} -name '*.a' | xargs rm -f

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README TODO
%{_libdir}/%{name}.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%files -n %{name}-python
%{py_platsitedir}/pyrapi2.*


%changelog
* Thu Aug 15 2013 billybot <billyboy> 0.15.2-2pclos2013
- update python 2.7

* Fri Nov 04 2011 Texstar <texstar at gmail.com> 0.15.2-1pclos2011
- 0.15.2
